      module Vcfdamp
      use kind_spec

C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01
      use Vparam, only: nbesa, nuam, ntam, irmax, nwk, imaxu, jmax
      character   inname*10
      integer   inf
      integer   ifbilin
      integer   nint, nmax1
      integer   ifirstb, nbes
      integer, dimension(4) :: ibd
      real(kind=dp)   enorm, unorm, bmax
      real(kind=dp)   dus, dthets, dudthets
      real(kind=dp)   dbes, cnstb, besdel
      real(kind=dp)   rtail, r1t, r2t, ttail, rhot, r1h, r2h, thotpar,
     1    thotper,
     1   hotexp, hotmnpar, hotmxpar, hotmnper, hotmxper, rbeam, r1b, r2b
     2   , tbeam, ebeam, thbeam
      real(kind=dp), dimension(nuam) :: us
      real(kind=dp), dimension(ntam) :: thets, coss, sinn
      real(kind=dp), dimension(nuam,ntam,irmax) :: f, fxx, fyy, fxxyy
      real(kind=dp), dimension(nuam,ntam) :: ftemp
      real(kind=dp), dimension(nwk) :: wk
      real(kind=dp), dimension(ntam) :: sint
      real(kind=dp), dimension(nuam,ntam) :: tempx, tempy
      real(kind=dp), dimension(nuam) :: usp
      real(kind=dp), dimension(ntam) :: thetsp
      real(kind=dp), dimension(nbesa) :: bes0, bes1
      end module Vcfdamp
